curl --request GET \
--url https://api.wirespeed.co/v1/endpoint/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.wirespeed.co/v1/endpoint/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.wirespeed.co/v1/endpoint/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"displayName": "<string>",
"teamId": "<string>",
"hva": true,
"createdAt": "<string>",
"integrationId": "<string>",
"contained": true,
"workstation": true,
"server": true,
"mobile": true,
"domainController": true,
"groups": [
{
"id": "<string>",
"endpointId": "<string>",
"group": "<string>",
"teamId": "<string>",
"enabled": true,
"createdAt": "<string>",
"overriddenByUser": true,
"groupId": "<string>",
"overriddenByUserId": "<string>",
"overriddenByUserIdentifier": "<string>",
"groupName": "<string>",
"groupSlug": "<string>",
"groupContainmentEnabled": true,
"groupChatOpsEnabled": true,
"groupSourceSystemUpdates": true,
"groupAlwaysNotify": true,
"groupRuleSearch": "<string>",
"groupRuleSearchField": "<string>",
"groupRuleSearchType": "text"
}
],
"groupContainmentEnabled": true,
"groupChatOpsEnabled": true,
"groupSourceSystemUpdates": true,
"groupsSynced": true,
"edrSourceId": "<string>",
"mdmSourceId": "<string>",
"name": "<string>",
"hvaOverriddenByUser": true,
"privateIpAddress": "<string>",
"live": true,
"operatingSystem": "<string>",
"operatingSystemCategory": "Windows",
"canonicalId": "<string>",
"canonicalClusterMemberCount": 123,
"canonicalClusterMembers": [
{
"id": "22222222-2222-2222-2222-222222222201",
"displayLabel": "WS-SAMPLE-BRAVO-WKS$",
"integrationId": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeee0002",
"integrationPlatform": "sentinel-one",
"name": "WS-SAMPLE-BRAVO-WKS$",
"managed": true,
"live": true,
"operatingSystem": "Windows11 - 23H2",
"createdAt": "2025-01-02T00:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
},
{
"id": "22222222-2222-2222-2222-222222222202",
"displayLabel": "WS-SAMPLE-CHARLIE-WKS$",
"integrationId": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeee0003",
"integrationPlatform": "crowdstrike-falcon",
"name": "WS-SAMPLE-CHARLIE-WKS$",
"managed": true,
"live": true,
"operatingSystem": "Windows 10 Enterprise 22H2 (OS build 19045.4046)",
"createdAt": "2025-01-03T00:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}
],
"managed": true,
"publicIpAddress": "<string>",
"lastSeenAt": "<string>",
"updatedAt": "<string>",
"raw": {},
"lockPin": "<string>"
}{
"message": "<string>",
"statusCode": 123
}Get endpoint by ID
Retrieves detailed information about a specific endpoint including its public IPs and integration data
Authorizations
Team API key sent as a Bearer token. Create a key in Wirespeed under Settings → Team. See https://docs.wirespeed.co/api-reference/authentication.
Path Parameters
Unique identifier of the endpoint (UUID)
Response
Unique identifier for the endpoint
Human-readable display name for the endpoint
ID of the team that owns this endpoint
Indicates if this is a Critical Asset
Timestamp when the endpoint was created
ID of the integration that discovered this endpoint
Indicates if the endpoint has been contained/isolated
Indicates if this is a workstation device
Indicates if this is a server device
Indicates if this is a mobile device
Indicates if this is a domain controller
Groups assigned to this endpoint
Show child attributes
Show child attributes
Whether all groups on this endpoint allow containment
Whether all groups on this endpoint allow chat ops
Whether all groups on this endpoint allow outbound updates to the source product
Whether this endpoint has had its first round of group checks run
ID from the EDR (Endpoint Detection & Response) system
ID from the MDM (Mobile Device Management) system
Name of the endpoint
Indicates if the Critical Asset status was manually overridden by a user
Private IP address of the endpoint
Indicates if the endpoint is currently active/online
Operating system of the endpoint
Categorized operating system type
Windows, Windows Server, macOS, Linux, iOS, Android, ChromeOS, Network Device, Other When set, this row is a duplicate source; points at the canonical representative endpoint id
Child endpoint rows in the same canonical cluster (canonical_id = root), excluding the root row; null when there are no children
Preview of other integration-backed rows in the same canonical cluster (at most five children when count exceeds five); null when none
Show child attributes
Show child attributes
[
{
"id": "22222222-2222-2222-2222-222222222201",
"displayLabel": "WS-SAMPLE-BRAVO-WKS$",
"integrationId": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeee0002",
"integrationPlatform": "sentinel-one",
"name": "WS-SAMPLE-BRAVO-WKS$",
"managed": true,
"live": true,
"operatingSystem": "Windows11 - 23H2",
"createdAt": "2025-01-02T00:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
},
{
"id": "22222222-2222-2222-2222-222222222202",
"displayLabel": "WS-SAMPLE-CHARLIE-WKS$",
"integrationId": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeee0003",
"integrationPlatform": "crowdstrike-falcon",
"name": "WS-SAMPLE-CHARLIE-WKS$",
"managed": true,
"live": true,
"operatingSystem": "Windows 10 Enterprise 22H2 (OS build 19045.4046)",
"createdAt": "2025-01-03T00:00:00.000Z",
"updatedAt": "2025-01-15T12:00:00.000Z"
}
]
Indicates if the endpoint is managed by MDM/EDR
Public IP address associated with this endpoint
Timestamp when the endpoint was last seen
Timestamp when the endpoint was last updated
Raw data from the integration source
Lock PIN for this device, set when the device was locked via MDM (e.g. JumpCloud Apple MDM). Null if not locked or PIN not available.

